/* tmnn1r.f -- translated by f2c (version 20000817).
   You must link the resulting object file with the libraries:
        -lf2c -lm   (in that order)
*/

#include "f2c.h"

/* Common Block Declarations */

struct {
    float zf;
    int kr;
    float akr, df[15];
} mmkric_;

#define mmkric_1 mmkric_

int main(void)
{
    /* Initialized data */
    static float x[4] = { -1.f,-2.f,-3.f,-4.f };
    static float a[4] = { -4.f,-4.f,-4.f,-4.f };
    static float b[4] = { 4.f,4.f,4.f,4.f };
    static float xe[4] = { 1e-5f,1e-5f,1e-5f,1e-5f };
    static float fe = 1e-5f;
    static int i0[4] = { 1,1,1,1 };
    static float up[11] = { 100.f,100.f,.1f,10.f,2.f,.1f,.1f,1e-16f,2.f,20.f,
                               .8f };
    static float rm[30] = { 200.f,200.f };

    /* Local variables */
    static int ierr;
    extern int mnn1r_c(int *, float *, float *, float *, float *, U_fp,
                       float *, float *, float *, int *, int *, float *,
                       int *);
    static float f;
    static int n, irm[4];
    extern int fun_c();

    n = 4;
    mnn1r_c(&n, x, xe, a, b, (U_fp)fun_c, &f, &fe, up, i0, irm, rm, &ierr);

    printf("\n %12.4f \n", f);
    printf("\n %13.5e \n", fe);
    printf("\n %13.5e %13.5e %13.5e %13.5e \n", x[0], x[1], x[2], x[3]);
    printf("\n %12.4f %12.4f %12.4f %12.4f \n", xe[0], xe[1], xe[2], xe[3]);
    printf("\n %9.1e %9.1e \n", rm[0], rm[1]);
    printf("\n %5i \n", ierr);
    printf("\n %12.4e \n", up[8]);
    return ;
} /* main */

int fun_c(float *x, float *f, float *fe)
{
    /* System generated locals */
    float r__1, r__2, r__3, r__4;

    /* Parameter adjustments */
    --x;

    /* Function Body */
/* Computing 2nd power */
    r__1 = x[1] - 1.f;
/* Computing 2nd power */
    r__2 = x[2] - 1.f;
/* Computing 2nd power */
    r__3 = x[3] - 1.f;
/* Computing 2nd power */
    r__4 = x[4] - 1.f;
    *f = r__1 * r__1 + r__2 * r__2 * 10.f + r__3 * r__3 * 100.f +
         r__4 * r__4 * 1e3f;
    return 0;
} /* fun_c */
